{ config, lib, pkgs, ... }:
{
  services.syncthing = {
    enable = true;
    relay.enable = false;
    openDefaultPorts = true;
    configDir = "/persist/var/lib/syncthing/";
    dataDir = "/persist/data/syncthing/";
    devices = {
      raphael-laptop = {
        addresses = []; # empty = dynamic
        id = "72B3T74-NOMJV3X-EVJXTJF-5GGAEZB-ZDKBHXQ-VQNRYEU-YCPA2JP-L6NGAAG";
      };
      # zauberberg
      conway = {
        addresses = []; # empty = dynamic
        id = "HV7IU2N-Q4W3A7F-BSASR43-OB575SM-47FY2UW-7N5GMFM-PX3LWRN-HXBXMQF";
      };
    };

    folders = {
      "/persist/data/syncthing/hacc/" = {
        id = "qt2ly-xvvvs";
        devices = [ "conway" "raphael-laptop"];
        type = "receiveonly";
        versioning = {
          type = "simple";
          params.keep = "10";
        };
      };
      "/persist/data/syncthing/hacc_eV_vorstand/" = {
        id = "twwt7-fxrsr";
        devices = [ "conway" "raphael-laptop"];
#        type = "receiveencrypted"; # no yet implemented
      };
    };
    overrideFolders = false; # enables workaround for recieveencrypted
  };
}
